/**
 * RoleClassEmployee.java
 *
 * File generated from the medication::RoleClassEmployee uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassEmployee.
 *
 * 
 */

@XmlType(name = "RoleClassEmployee")
@XmlEnum
@XmlRootElement(name = "RoleClassEmployee")
public enum RoleClassEmployee {
	@XmlEnumValue("EMP")
	EMP("EMP"),
	@XmlEnumValue("MIL")
	MIL("MIL");
	
	private final String value;

    RoleClassEmployee(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassEmployee fromValue(String v) {
        for (RoleClassEmployee c: RoleClassEmployee.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}